VERSION 5.00
Begin VB.Form frmTip 
   Caption         =   "Les Astuces du Jour"
   ClientHeight    =   3285
   ClientLeft      =   2700
   ClientTop       =   2805
   ClientWidth     =   5415
   Icon            =   "frmTip.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3285
   ScaleWidth      =   5415
   StartUpPosition =   2  'CenterScreen
   WhatsThisButton =   -1  'True
   WhatsThisHelp   =   -1  'True
   Begin VB.CheckBox chkLoadTipsAtStartup 
      Caption         =   "Voire les astuces au dmarrage"
      Height          =   315
      Left            =   120
      TabIndex        =   3
      Top             =   2940
      Value           =   1  'Checked
      Width           =   3315
   End
   Begin VB.CommandButton cmdNextTip 
      Caption         =   "&Astuce suivante"
      Height          =   375
      Left            =   3975
      TabIndex        =   2
      Top             =   600
      Width           =   1365
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   2715
      Left            =   120
      Picture         =   "frmTip.frx":014A
      ScaleHeight     =   2655
      ScaleWidth      =   3675
      TabIndex        =   1
      Top             =   120
      Width           =   3735
      Begin VB.Label Label1 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Les saviez-vous..."
         Height          =   255
         Left            =   540
         TabIndex        =   5
         Top             =   180
         Width           =   2655
      End
      Begin VB.Label lblTipText 
         BackColor       =   &H00FFFFFF&
         Height          =   1635
         Left            =   180
         TabIndex        =   4
         Top             =   840
         Width           =   3255
      End
   End
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   3975
      TabIndex        =   0
      Top             =   120
      Width           =   1365
   End
End
Attribute VB_Name = "frmTip"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*******************************************************************************************
'*******************************************************************************************
'************* A L'INTENTION DE TOUS LES FUTURS UTILISATEURS DE CE CODE SOURCE *************
'*******************************************************************************************
'                   Crateur :     --> Sergio Alves    ALIAS   Mr PrOPEr
'                   Designer :     --> Sergio Alves    ALIAS   Mr PrOPEr
'*******************************************************************************************
'                                       Sergio Alves
'                                   Route de Martigny 33
'                                       1926 Fully
'                                        Vs Suisse
'*******************************************************************************************
'################################### LES DROITS D'AUTEUR ###################################
'*******************************************************************************************
'
'Ce programme se base pour la commande Dir ainsi que pour la dtection d'erreurs de l'exemple
'de Micro$oft vbftp.zip. Tout le reste du code est la proprit de l'auteur. Toute copie au
'au niveau du design & du code du soft a des fins commerciaux est interdite. En rsum pour
'autant que ce code vous aide  progresser en Visual Basic vous tes libres d'en faire ce que
'vous voulez. Ds que vous l'utilisez  des fins commerciaux Shareware, mme freeware,etc l
'vous serez passible d'amendes, voire mme de piratage informatique.
'
'*******************************************************************************************
'*******************************************************************************************
'* Dans le cas ou des ameillorations significatives venaient  tre faites j'aimerais tre *
'************************************* mis au courrant *************************************
'*******************************************************************************************
'***  seralv@yahoo.com ---- alves@chez.com ---- mproper@hotmail.com (pas de attach svp.) ***
'*******************************************************************************************
'***************** Ce Bloc de commentaires ne doit en aucun cas tre enlev **************
'*******************************************************************************************
Option Explicit

' The in-memory database of tips.
Dim Tips As New Collection

' Name of tips file
Const TIP_FILE = "Astuces.txt"


' Index in collection of tip currently being displayed.
Dim CurrentTip As Long


Private Sub DoNextTip()

    ' Select a tip at random.
    CurrentTip = Int((Tips.Count * Rnd) + 1)
    
    ' Or, you could cycle through the Tips in order

'    CurrentTip = CurrentTip + 1
'    If Tips.Count < CurrentTip Then
'        CurrentTip = 1
'    End If
    
    ' Show it.
    frmTip.DisplayCurrentTip
    
End Sub

Function LoadTips(sFile As String) As Boolean
    Dim NextTip As String   ' Each tip read in from file.
    Dim InFile As Integer   ' Descriptor for file.
    
    ' Obtain the next free file descriptor.
    InFile = FreeFile
    
    ' Make sure a file is specified.
    If sFile = "" Then
        LoadTips = False
        Exit Function
    End If
    
    ' Make sure the file exists before trying to open it.
    If Dir(sFile) = "" Then
        LoadTips = False
        Exit Function
    End If
    
    ' Read the collection from a text file.
    Open sFile For Input As InFile
    While Not EOF(InFile)
        Line Input #InFile, NextTip
        Tips.Add NextTip
    Wend
    Close InFile

    ' Display a tip at random.
    DoNextTip
    
    LoadTips = True
    
End Function

Private Sub chkLoadTipsAtStartup_Click()

SaveSetting "Ftp_Explorator", "Tips_of_day", "OpenFrmTip", "Don't Open"

End Sub

Private Sub cmdNextTip_Click()
    DoNextTip
End Sub

Private Sub cmdOK_Click()
    Unload Me
End Sub

Private Sub Form_Load()

Dim showatstartup As String
Dim chchecked As Boolean


    showatstartup = GetSetting("Ftp_Explorator", "Tips_of_day", "OpenFrmTip", "Pas de donnes disponibles")
    
    If showatstartup = "Pas de donnes disponibles" Then MsgBox "Pas de donnes disponibles dans la Regedit. Une Cl va tre Cre.": SaveSetting "Ftp_Explorator", "Tips_of_day", "OpenFrmTip", "Open"
    If showatstartup = "Open" Then GoTo 100
    If showatstartup = "Don't Open" Then Unload Me: Exit Sub
 
 
100
    ' Set the checkbox, this will force the value to be written back out to the registry
    Me.chkLoadTipsAtStartup.Value = vbChecked
    
    ' Seed Rnd
    Randomize
    
    ' Read in the tips file and display a tip at random.
    If LoadTips(App.Path & "\" & TIP_FILE) = False Then
        lblTipText.Caption = "That the " & TIP_FILE & " file was not found? " & vbCrLf & vbCrLf & _
           "Create a text file named " & TIP_FILE & " using NotePad with 1 tip per line. " & _
           "Then place it in the same directory as the application. "
    End If

    
End Sub

Public Sub DisplayCurrentTip()
    If Tips.Count > 0 Then
        lblTipText.Caption = Tips.Item(CurrentTip)
    End If
End Sub
